// Headears for the DLL functions:

extern "C" void  __stdcall SetActive(short Active) ;
extern "C" short __stdcall GetActive() ;
extern "C" short __stdcall GetCardHandle(long *CardHandle, short CardIndex) ;
extern "C" short __stdcall GetRevisionID(long CardHandle, short *RevisionID) ;
extern "C" short __stdcall SetLed(long CardHandle, short LedNumber, short OnOffMode) ;
extern "C" short __stdcall GetLed(long CardHandle, short LedNumber, short *OnOffMode) ;
extern "C" short __stdcall SetActiveChip(long CardHandle, short ChipNumber) ;
extern "C" short __stdcall GetActiveChip(long CardHandle, short *ChipNumber) ;
extern "C" short __stdcall TestActiveChip(long CardHandle) ;
extern "C" short __stdcall ReadInputs(long CardHandle, short *Inputs, short *EncoderEventFlags) ;
extern "C" short __stdcall WriteOutputs(long CardHandle, short Outputs) ;
extern "C" short __stdcall SetEncoderResolution(long CardHandle, short EncoderNumber, short ClocksPerCycle) ;
extern "C" short __stdcall GetEncoderResolution(long CardHandle, short EncoderNumber, short *ClocksPerCycle) ;
extern "C" short __stdcall SetIndexPulsePolarity(long CardHandle, short EncoderNumber, short Polarity) ;
extern "C" short __stdcall GetIndexPulsePolarity(long CardHandle, short EncoderNumber, short *Polarity) ;
extern "C" short __stdcall SetIndexResetsPositionCounter(long CardHandle, short EncoderNumber, short EnabledDisabledMode) ;
extern "C" short __stdcall GetIndexResetsPositionCounter(long CardHandle, short EncoderNumber, short *EnabledDisabledMode) ;
extern "C" short __stdcall SetSetPoint(long CardHandle, short EncoderNumber, long SetPoint) ;
extern "C" short __stdcall GetSetPoint(long CardHandle, short EncoderNumber, long *SetPoint) ;
extern "C" short __stdcall SetEncoderEventFlagSource(long CardHandle, short EncoderNumber, short EventFlagSource) ;
extern "C" short __stdcall GetEncoderEventFlagSource(long CardHandle, short EncoderNumber, short *EventFlagSource) ;
extern "C" short __stdcall SetEncoderEventFlagPolarity(long CardHandle, short EncoderNumber, short Polarity) ;
extern "C" short __stdcall GetEncoderEventFlagPolarity(long CardHandle, short EncoderNumber, short *Polarity) ;
extern "C" short __stdcall SetHoldEncoderEventFlag(long CardHandle, short EncoderNumber, short OnOffMode) ;
extern "C" short __stdcall GetHoldEncoderEventFlag(long CardHandle, short EncoderNumber, short *OnOffMode) ;
extern "C" short __stdcall ClearEncoderEventFlag(long CardHandle, short EncoderNumber) ;
extern "C" short __stdcall ResetPositionCounter(long CardHandle, short EncoderNumber, short OutputsMirror) ;
extern "C" short __stdcall RequestPositionCounter(long CardHandle, short EncoderNumber, short OutputsMirror) ;
extern "C" short __stdcall ReadPositionCounter(long CardHandle, short EncoderNumber, long *PositionCounter) ;
